CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Community Contributions

[PyFoam] having problems with pyfoam Installation

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree1Likes
  • 1 Post By gschaider

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   November 30, 2014, 20:46
Default having problems with pyfoam Installation
  #1
Member
 
vitor spadeto
Join Date: Nov 2014
Posts: 51
Rep Power: 7
vitorspadetoventurin is on a distinguished road
I am having problems with pyfoam Installation... after install... I made the test (from http://openfoamwiki.net/index.php/Co...e_installation):

HTML Code:
a@a-Aspire-V3-571:~$ python
Python 2.7.3 (default, Feb 27 2014, 19:58:35) 
[GCC 4.6.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import PyFoam
>>> import PyFoam
>>> import PyFoam.FoamInformation
>>> print PyFoam.FoamInformation.foamTutorials()

>>> 
do not appears nothing... should appears..
Code:
/home/nonroot/OpenFOAM/OpenFOAM-1.2-devel/tutorials
what is happening?

my OF: 2.3.0
pyfoam: 0.6.3


I tried to install as root and as regular user...

As root:
Code:
a@a-Aspire-V3-571:~/PyFoam-0.6.3$ sudo python setup.py install
[sudo] password for a: 
running install
running build
running build_py
running build_scripts
running install_lib
running install_scripts
changing mode of /usr/local/bin/pyFoamReadDictionary.py to 755
changing mode of /usr/local/bin/pyFoamTestConfiguration.py to 755
changing mode of /usr/local/bin/pyFoamSurfacePlot.py to 755
changing mode of /usr/local/bin/pyFoamClearEmptyBoundaries.py to 755
changing mode of /usr/local/bin/pyFoamUpgradeDictionariesTo17.py to 755
changing mode of /usr/local/bin/pyFoamMeshUtilityRunner.py to 755
changing mode of /usr/local/bin/pyFoamRunner.py to 755
changing mode of /usr/local/bin/pyFoamCreateModuleFile.py to 755
changing mode of /usr/local/bin/pyFoamFromTemplate.py to 755
changing mode of /usr/local/bin/pyFoamComparator.py to 755
changing mode of /usr/local/bin/pyFoamDisplayBlockMesh.py to 755
changing mode of /usr/local/bin/pyFoamChangeBoundaryName.py to 755
changing mode of /usr/local/bin/pyFoamNetList.py to 755
changing mode of /usr/local/bin/pyFoamEchoDictionary.py to 755
changing mode of /usr/local/bin/pyFoamTimelinePlot.py to 755
changing mode of /usr/local/bin/pyFoamStandardLogAnalyzer.py to 755
changing mode of /usr/local/bin/pyFoamInitVCSCase.py to 755
changing mode of /usr/local/bin/pyFoamClusterTester.py to 755
changing mode of /usr/local/bin/pyFoamCreateBoundaryPatches.py to 755
changing mode of /usr/local/bin/pyFoamDecompose.py to 755
changing mode of /usr/local/bin/pyFoamExecute.py to 755
changing mode of /usr/local/bin/pyFoamWriteDictionary.py to 755
changing mode of /usr/local/bin/pyFoamUtilityRunner.py to 755
changing mode of /usr/local/bin/pyFoamSamplePlot.py to 755
changing mode of /usr/local/bin/pyFoamEchoPickledApplicationData.py to 755
changing mode of /usr/local/bin/pyFoamCompareDictionary.py to 755
changing mode of /usr/local/bin/pyFoamPrepareCase.py to 755
changing mode of /usr/local/bin/pyFoamVersion.py to 755
changing mode of /usr/local/bin/pyFoamAddEmptyBoundary.py to 755
changing mode of /usr/local/bin/pyFoamCompressCaseFiles.py to 755
changing mode of /usr/local/bin/pyFoamSTLUtility.py to 755
changing mode of /usr/local/bin/pyFoamIPythonNotebook.py to 755
changing mode of /usr/local/bin/pyFoamDumpConfiguration.py to 755
changing mode of /usr/local/bin/pyFoamPlotRunner.py to 755
changing mode of /usr/local/bin/pyFoamPlotWatcher.py to 755
changing mode of /usr/local/bin/pyFoamRedoPlot.py to 755
changing mode of /usr/local/bin/pyFoamPrintData2DStatistics.py to 755
changing mode of /usr/local/bin/pyFoamPVSnapshot.py to 755
changing mode of /usr/local/bin/pyFoamNetShell.py to 755
changing mode of /usr/local/bin/pyFoamPackCase.py to 755
changing mode of /usr/local/bin/pyFoamAddCaseDataToDatabase.py to 755
changing mode of /usr/local/bin/pyFoamPotentialRunner.py to 755
changing mode of /usr/local/bin/pyFoamClearBoundaryValue.py to 755
changing mode of /usr/local/bin/pyFoamUpgradeDictionariesTo20.py to 755
changing mode of /usr/local/bin/pyFoamCaseBuilder.py to 755
changing mode of /usr/local/bin/pyFoamChangeBoundaryType.py to 755
changing mode of /usr/local/bin/pyFoamRunAtMultipleTimes.py to 755
changing mode of /usr/local/bin/pyFoamSGECommand.py to 755
changing mode of /usr/local/bin/pyFoamClearInternalField.py to 755
changing mode of /usr/local/bin/pyFoamCaseReport.py to 755
changing mode of /usr/local/bin/pyFoamListCases.py to 755
changing mode of /usr/local/bin/pyFoamAPoMaFoXiiQt.py to 755
changing mode of /usr/local/bin/pyFoamUpdateDictionary.py to 755
changing mode of /usr/local/bin/pyFoamJoinCSV.py to 755
changing mode of /usr/local/bin/pyFoamBench.py to 755
changing mode of /usr/local/bin/pyFoamConvertToCSV.py to 755
changing mode of /usr/local/bin/pyFoamSymlinkToFile.py to 755
changing mode of /usr/local/bin/pyFoamSteadyRunner.py to 755
changing mode of /usr/local/bin/pyFoamClearCase.py to 755
changing mode of /usr/local/bin/pyFoamDumpRunDatabaseToCSV.py to 755
changing mode of /usr/local/bin/pyFoamMetaServer.py to 755
changing mode of /usr/local/bin/pyFoamPVLoadState.py to 755
changing mode of /usr/local/bin/pyFoamCloneCase.py to 755
changing mode of /usr/local/bin/pyFoamBuildHelper.py to 755
changing mode of /usr/local/bin/pyFoamModifyGGIBoundary.py to 755
changing mode of /usr/local/bin/pyFoamCopyLastToFirst.py to 755
running install_egg_info
Removing /usr/local/lib/python2.7/dist-packages/PyFoam-0.6.3.egg-info
Writing /usr/local/lib/python2.7/dist-packages/PyFoam-0.6.3.egg-info
a@a-Aspire-V3-571:~/PyFoam-0.6.3$
vitorspadetoventurin is offline   Reply With Quote

Old   December 1, 2014, 13:04
Default
  #2
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 4,124
Rep Power: 45
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by vitorspadetoventurin View Post
I am having problems with pyfoam Installation... after install... I made the test (from http://openfoamwiki.net/index.php/Co...e_installation):

HTML Code:
a@a-Aspire-V3-571:~$ python
Python 2.7.3 (default, Feb 27 2014, 19:58:35) 
[GCC 4.6.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import PyFoam
>>> import PyFoam
>>> import PyFoam.FoamInformation
>>> print PyFoam.FoamInformation.foamTutorials()

>>> 
do not appears nothing... should appears..
Code:
/home/nonroot/OpenFOAM/OpenFOAM-1.2-devel/tutorials
what is happening?

my OF: 2.3.0
pyfoam: 0.6.3
Is the FOAM_TUTORIALS-variable set on that shell?

Quote:
Originally Posted by vitorspadetoventurin View Post
I tried to install as root and as regular user...

As root:
Code:
a@a-Aspire-V3-571:~/PyFoam-0.6.3$ sudo python setup.py install
[sudo] password for a: 
running install
running build
running build_py
running build_scripts
running install_lib
running install_scripts
changing mode of /usr/local/bin/pyFoamReadDictionary.py to 755
changing mode of /usr/local/bin/pyFoamTestConfiguration.py to 755
changing mode of /usr/local/bin/pyFoamSurfacePlot.py to 755
<<snip>>
changing mode of /usr/local/bin/pyFoamBuildHelper.py to 755
changing mode of /usr/local/bin/pyFoamModifyGGIBoundary.py to 755
changing mode of /usr/local/bin/pyFoamCopyLastToFirst.py to 755
running install_egg_info
Removing /usr/local/lib/python2.7/dist-packages/PyFoam-0.6.3.egg-info
Writing /usr/local/lib/python2.7/dist-packages/PyFoam-0.6.3.egg-info
a@a-Aspire-V3-571:~/PyFoam-0.6.3$
What is the output pyFoamVersion.py gives you?
bkay likes this.
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Old   December 2, 2014, 06:44
Default
  #3
Member
 
vitor spadeto
Join Date: Nov 2014
Posts: 51
Rep Power: 7
vitorspadetoventurin is on a distinguished road
" thank you for attention friend. "Is the FOAM_TUTORIALS-variable set on that shell?" Im sorry... I am a beginner.. can you tell me how to do it?

and results of pyFoamVersion.py are:

Code:
a@a-Aspire-V3-571:~$ pyFoamVersion.py
Machine info: Linux | a-Aspire-V3-571 | 3.11.0-26-generic | #45~precise1-Ubuntu SMP Tue Jul 15 04:02:35 UTC 2014 | x86_64 | x86_64

Python version: 2.7.3 (default, Feb 27 2014, 19:58:35) 
[GCC 4.6.3]

Python executable: /usr/bin/python

PYTHONPATH is not set

Location of this utility: /usr/local/bin/pyFoamVersion.py

 PyFoam WARNING on line 192 of file /usr/local/lib/python2.7/dist-packages/PyFoam/FoamInformation.py : Basedir /home/a/OpenFOAM for fork openfoam does not exist or is not a directory 
Version () Fork openfoam of the installed 1 versions:
extend-3.1 : /home/a/foam/foam-extend-3.1
  This version of OpenFOAM uses the old calling convention

pyFoam-Version: 0.6.4
ALERT: Reported version (0, 6, 4) is different from hardcoded version (0, 6, 3) -> probably inconsistent library installation

Path where PyFoam was found (PyFoam.__path__) is ['/usr/local/lib/python2.7/dist-packages/PyFoam']

Configuration search path: [('file', '/etc/pyFoam/pyfoamrc'), ('directory', '/etc/pyFoam/pyfoamrc.d'), ('file', '/home/a/.pyFoam/pyfoamrc'), ('directory', '/home/a/.pyFoam/pyfoamrc.d')]
Configuration files (used): []

Installed libraries:
cython               :  No 	 Not used. Maybe will by used later to spped up parts of PyFoam 
cProfile             :  Yes 
docutils             :  No 	 Not necessary. Needed for RestructuredText to HTML conversion 
Gnuplot              :  No 	 Not a problem. Version from ThirdParty is used 
hotshot              :  Yes 
ipdb                 :  No 	 Not necessary. Only makes debugging more comfortable 
IPython              :  No 	 Not necessary. But the interactive shell may be more comfortable 
matplotlib           :  No 	 Only Gnuplot-plotting possible 
mercurial            :  Yes 	 version: 2.0.2 
nose                 :  No 	 Only needed for running the unit-tests (developers only) 
Numeric              :  No 	 Not supported anymore. No need to install it 
numpy                :  Yes 	 version: 1.6.1 
openpyxl             :  No 	 Not a problem. Only used for exporting pandas-data to Excel-files (advanced) 
pandas               :  No 	 Not a problem. Only used for handling of advanced data-handling 
ply                  :  No 	 Not a problem. Version from ThirdParty is used 
profile              :  Yes 
psyco                :  No 	 Not a problem. Acceleration not possible 
PyQt4                :  Yes 	 version: 4.8.1 
PyQt4.Qwt5           :  No 	 Only an alternate plotting back-end 
scipy                :  No 	 Not yet used. Possibly use signal-fitting etc 
Tkinter              :  No 	 Not a problem. Used for the old version of DisplayBlockmesh and some matplotlib-implementations 
twisted              :  Yes 	 version: 11.1.0 
vtk                  :  Yes 	 version: 5.8.0 
xlwt                 :  No 	 Not a problem. Only used for exporting pandas-data to Excel-files 

Library locations
cProfile             : /usr/lib/python2.7/cProfile.pyc
hotshot              : /usr/lib/python2.7/hotshot/__init__.pyc
mercurial            : /usr/lib/python2.7/dist-packages/mercurial/__init__.pyc
numpy                : /usr/lib/python2.7/dist-packages/numpy/__init__.pyc
profile              : /usr/lib/python2.7/profile.pyc
PyQt4                : /usr/lib/python2.7/dist-packages/PyQt4/__init__.pyc
twisted              : /usr/lib/python2.7/dist-packages/twisted/__init__.pyc
vtk                  : /usr/lib/pymodules/python2.7/vtk/__init__.pyc
a@a-Aspire-V3-571:~$
vitorspadetoventurin is offline   Reply With Quote

Old   December 2, 2014, 08:18
Default
  #4
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 4,124
Rep Power: 45
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by vitorspadetoventurin View Post
" thank you for attention friend. "Is the FOAM_TUTORIALS-variable set on that shell?" Im sorry... I am a beginner.. can you tell me how to do it?
The variable is usually set when you select an Foam-version on the shell. According to pyFoamVersion.py there is no Foam-version selected ("Version () Fork openfoam of the installed 1 versions:"). When you select one (by sourcing the etc/bashrc-file) everything should work as expected

Quote:
Originally Posted by vitorspadetoventurin View Post
and results of pyFoamVersion.py are:

Code:
a@a-Aspire-V3-571:~$ pyFoamVersion.py
Machine info: Linux | a-Aspire-V3-571 | 3.11.0-26-generic | #45~precise1-Ubuntu SMP Tue Jul 15 04:02:35 UTC 2014 | x86_64 | x86_64

Python version: 2.7.3 (default, Feb 27 2014, 19:58:35) 
[GCC 4.6.3]

Python executable: /usr/bin/python

PYTHONPATH is not set

Location of this utility: /usr/local/bin/pyFoamVersion.py

 PyFoam WARNING on line 192 of file /usr/local/lib/python2.7/dist-packages/PyFoam/FoamInformation.py : Basedir /home/a/OpenFOAM for fork openfoam does not exist or is not a directory 
Version () Fork openfoam of the installed 1 versions:
extend-3.1 : /home/a/foam/foam-extend-3.1
  This version of OpenFOAM uses the old calling convention

pyFoam-Version: 0.6.4
ALERT: Reported version (0, 6, 4) is different from hardcoded version (0, 6, 3) -> probably inconsistent library installation

Path where PyFoam was found (PyFoam.__path__) is ['/usr/local/lib/python2.7/dist-packages/PyFoam']

Configuration search path: [('file', '/etc/pyFoam/pyfoamrc'), ('directory', '/etc/pyFoam/pyfoamrc.d'), ('file', '/home/a/.pyFoam/pyfoamrc'), ('directory', '/home/a/.pyFoam/pyfoamrc.d')]
Configuration files (used): []

Installed libraries:
cython               :  No 	 Not used. Maybe will by used later to spped up parts of PyFoam 
cProfile             :  Yes 
docutils             :  No 	 Not necessary. Needed for RestructuredText to HTML conversion 
Gnuplot              :  No 	 Not a problem. Version from ThirdParty is used 
hotshot              :  Yes 
ipdb                 :  No 	 Not necessary. Only makes debugging more comfortable 
IPython              :  No 	 Not necessary. But the interactive shell may be more comfortable 
matplotlib           :  No 	 Only Gnuplot-plotting possible 
mercurial            :  Yes 	 version: 2.0.2 
nose                 :  No 	 Only needed for running the unit-tests (developers only) 
Numeric              :  No 	 Not supported anymore. No need to install it 
numpy                :  Yes 	 version: 1.6.1 
openpyxl             :  No 	 Not a problem. Only used for exporting pandas-data to Excel-files (advanced) 
pandas               :  No 	 Not a problem. Only used for handling of advanced data-handling 
ply                  :  No 	 Not a problem. Version from ThirdParty is used 
profile              :  Yes 
psyco                :  No 	 Not a problem. Acceleration not possible 
PyQt4                :  Yes 	 version: 4.8.1 
PyQt4.Qwt5           :  No 	 Only an alternate plotting back-end 
scipy                :  No 	 Not yet used. Possibly use signal-fitting etc 
Tkinter              :  No 	 Not a problem. Used for the old version of DisplayBlockmesh and some matplotlib-implementations 
twisted              :  Yes 	 version: 11.1.0 
vtk                  :  Yes 	 version: 5.8.0 
xlwt                 :  No 	 Not a problem. Only used for exporting pandas-data to Excel-files 

Library locations
cProfile             : /usr/lib/python2.7/cProfile.pyc
hotshot              : /usr/lib/python2.7/hotshot/__init__.pyc
mercurial            : /usr/lib/python2.7/dist-packages/mercurial/__init__.pyc
numpy                : /usr/lib/python2.7/dist-packages/numpy/__init__.pyc
profile              : /usr/lib/python2.7/profile.pyc
PyQt4                : /usr/lib/python2.7/dist-packages/PyQt4/__init__.pyc
twisted              : /usr/lib/python2.7/dist-packages/twisted/__init__.pyc
vtk                  : /usr/lib/pymodules/python2.7/vtk/__init__.pyc
a@a-Aspire-V3-571:~$
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[PyFoam] Problems with installing PyFoam Christoph_84 OpenFOAM Community Contributions 33 October 29, 2015 15:34
[PyFoam] unknown or ambiguous terminal type x11 Tobi OpenFOAM Community Contributions 5 December 2, 2014 09:13
Problems installing SVN in Ubuntu (for later installing PyFoam for OpenFOAM) immortality Lounge 2 May 24, 2014 04:05
Problems with installation batta31 OpenFOAM Installation 2 September 4, 2012 08:01
installation problems on upgrade from win 3.26 to mic Siemens 5 June 20, 2007 10:40


All times are GMT -4. The time now is 11:50.